Bug 1349074 - kf5-gpgmepp: missing dependency on gpgme-devel
Summary: kf5-gpgmepp: missing dependency on gpgme-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-gpgmepp
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 16:17 UTC by Jan Kundrát
Modified: 2016-07-27 19:18 UTC (History)
4 users (show)

Fixed In Version: kf5-gpgmepp-16.04.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 19:18:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Kundrát 2016-06-22 16:17:09 UTC
Installing kf5-gpgmepp-devel is not enough to build another application which uses this library. That build fails because kf5-gpgmepp-devel's header files reference other headers which are owned by another package, and that package is not pulled in automatically:

[  219s] In file included from /usr/include/KF5/gpgme++/context.h:29:0,
[  219s]                  from /home/abuild/rpmbuild/BUILD/trojita-0.7/src/Cryptography/GpgMe++.cpp:26:
[  219s] /usr/include/KF5/gpgme++/error.h:32:23: fatal error: gpg-error.h: No such file or directory
[  219s]  #include <gpg-error.h>
[  219s]                        ^
[  219s] compilation terminated.


This happens on the OBS using the Fedora24 release image with these relevant packages:

gpgme-1.4.3-7.fc24
kf5-gpgmepp-15.12.3-1.fc24
kf5-gpgmepp-devel-15.12.3-1.fc24

IMHO, the kf5-gpgme-devel should say:

Requires:       gpgme-devel
Requires:       boost-devel

Comment 1 Rex Dieter 2016-06-22 16:54:41 UTC
This is fixed in 16.04.x packaging, that will make its away to stable releases soon (within the next week or 2).

In the meantime, workaround is to install those mentioned dependencies by hand or add as BuildRequires to affected packages

Comment 2 Raphael Groner 2016-06-23 11:17:02 UTC
FTR, this is fixed in official Fedora Trojita 0.7 package.

Comment 3 Raphael Groner 2016-06-25 11:53:42 UTC
(In reply to Rex Dieter from comment #1)
> This is fixed in 16.04.x packaging, that will make its away to stable
> releases soon (within the next week or 2).

Yes, please, at least for both F24 and EPEL7.

> In the meantime, workaround is to install those mentioned dependencies by
> hand or add as BuildRequires to affected packages

FTR, this is fixed in official Fedora Trojita 0.7 package.

Comment 4 Raphael Groner 2016-07-06 20:49:19 UTC
Update for F24:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-36bd5f60fd

Comment 5 Fedora Update System 2016-07-06 20:51:45 UTC
kf5-gpgmepp-16.04.2-1.el7 trojita-0.7-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b4a6a4b9a

Comment 6 Fedora Update System 2016-07-06 20:51:52 UTC
kf5-gpgmepp-16.04.2-1.el7 trojita-0.7-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b4a6a4b9a

Comment 7 Fedora Update System 2016-07-10 03:19:09 UTC
kf5-gpgmepp-16.04.2-1.el7, trojita-0.7-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b4a6a4b9a

Comment 8 Fedora Update System 2016-07-10 07:37:37 UTC
kf5-gpgmepp-16.04.3-1.el7 trojita-0.7-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b4a6a4b9a

Comment 9 Fedora Update System 2016-07-12 02:54:27 UTC
kf5-gpgmepp-16.04.3-1.el7, trojita-0.7-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b4a6a4b9a

Comment 10 Fedora Update System 2016-07-27 19:18:45 UTC
kf5-gpgmepp-16.04.3-1.el7, trojita-0.7-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.